> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/csgo/realtime-data/real-time-data.md).

# Real-time data

## Real-time data

> Return player data and text live broadcast of real-time matches(full update)\<br/>Suggest the request frequency:2 seconds/time\<br/>\<br/>Description:\<br/>1. Match time (seconds) = current time - round start time (calculated based on the timer field)\<br/>2. Countdown (seconds) = round time - match time (calculated based on the timer field)\<br/>3. Countdown <= 0, end of round

```json
{"openapi":"3.0.1","info":{"title":"Gaming CSGO API","version":"1.0.250516"},"tags":[{"name":"REALTIME DATA","description":"REALTIME DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/csgo/match/detail_live":{"get":{"tags":["REALTIME DATA"],"description":"Return player data and text live broadcast of real-time matches(full update)<br/>Suggest the request frequency:2 seconds/time<br/><br/>Description:<br/>1. Match time (seconds) = current time - round start time (calculated based on the timer field)<br/>2. Countdown (seconds) = round time - match time (calculated based on the timer field)<br/>3. Countdown <= 0, end of round","summary":"Real-time data","operationId":"getMatchDetailLive","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"type":"array","items":{"$ref":"#/components/schemas/MatchDetailLive"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username,please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key,please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"MatchDetailLive":{"type":"object","description":"Data details","properties":{"match_id":{"type":"string","description":"Match id"},"box_num":{"type":"integer","description":"Current inning"},"status_id":{"type":"integer","description":"Match status, please refer to Status Code -> Match Status"},"single_status_id":{"type":"integer","description":"Current game status, please refer to Status Code -> Match Status"},"map_id":{"type":"string","description":"Map id"},"round_num":{"type":"integer","description":"Current round"},"timer":{"$ref":"#/deps/schemas/Ttimer"},"home":{"type":"object","description":"Home team data","properties":{"id":{"type":"string","description":"Team id"},"side":{"type":"integer","description":"Owner, 1. t, 2. ct"},"score":{"type":"integer","description":"Total score (match score)"},"stats":{"$ref":"#/deps/schemas/LiveTeamStats"},"win_icon":{"$ref":"#/deps/schemas/LiveWinIcon"},"players":{"type":"array","description":"Player data","items":{"$ref":"#/deps/schemas/LivePlayers"}},"fh_score":{"type":"integer","description":"First half score"},"sh_score":{"type":"integer","description":"Second half score"},"m_score":{"type":"integer","description":"Overtime score"},"c_score":{"type":"integer","description":"Total round score"}}},"away":{"type":"object","description":"Away team data","properties":{"id":{"type":"string","description":"Team id"},"side":{"type":"integer","description":"Owner, 1. t, 2. ct"},"score":{"type":"integer","description":"Total score (match score)"},"stats":{"$ref":"#/deps/schemas/LiveTeamStats"},"win_icon":{"$ref":"#/deps/schemas/LiveWinIcon"},"players":{"type":"array","description":"Player data","items":{"$ref":"#/deps/schemas/LivePlayers"}},"fh_score":{"type":"integer","description":"First half score"},"sh_score":{"type":"integer","description":"Second half score"},"m_score":{"type":"integer","description":"Overtime score"},"c_score":{"type":"integer","description":"Total round score"}}},"event":{"type":"array","description":"Event Date","items":{"$ref":"#/deps/schemas/LiveEvent"}}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"deps":{"schemas":{"Ttimer":{"type":"array","description":"Match time field description<br/>example:[1, 1, 1614165560, 115, 0]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Whether to go to the watch, 1. Yes, 0. No | Integer |\n| `1` | Whether to count down, 1. Yes, 0. No | Integer |\n| `2` | Round start time | Integer |\n| `3` | Round time (seconds) | Integer |\n| `4` | Compatible, ignore | Integer |\n","items":""},"LiveTeamStats":{"type":"array","description":"Team statistics field description<br/>example:[0, 0, 0, 0]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Win first half, 1. Yes, 0. No | Integer |\n| `1` | Win second half, 1. Yes, 0. No | Integer |\n| `2` | Win five rounds first, 1. Yes, 0. No | Integer |\n| `3` | Win ten rounds first, 1. Yes, 0. No | Integer |\n","items":""},"LiveWinIcon":{"type":"array","description":"Victory signs for the first and second half<br/>The array is divided into two, the first half and the second half<br/>Each one is a round: 1. ct kills everyone 2. t kills everyone 3. t wins the explosion 4. ct wins the bomb removal 5. ct time runs out to win 0. None<br/>example:[\"141041110400114\", \"003220220000000\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | First half | String |\n| `1` | Second half | String |\n","items":""},"LivePlayers":{"type":"object","properties":{"id":{"type":"string","description":"Player id"},"name":{"type":"string","description":"Name"},"stats":{"$ref":"#/deps/schemas/LivePlayerStats"},"weapon_id":{"type":"string","description":"Main weapon id"}}},"LivePlayerStats":{"type":"array","description":"Player statistics field description<br/>example:[27, 24, 3, 86.9, 10200, 1, 1, 1, 100]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Kills | Integer |\n| `1` | Deaths | Integer |\n| `2` | Assists | Integer |\n| `3` | Adr | Float |\n| `4` | Money | Integer |\n| `5` | Is there any bomb disposal equipment, 1. Yes, 0. No | Integer |\n| `6` | Is there a helmet, 1. Yes, 0. No | Integer |\n| `7` | Is there a body armor, 1. Yes, 0. No | Integer |\n| `8` | HP | Integer |\n","items":""},"LiveEvent":{"type":"object","description":"Data details","properties":{"index":{"type":"integer","description":"Sort"},"typeid":{"type":"integer","description":"Type 1. Round start 2. Round over 3. Joined game 4. Quit game 5. Suicide 6. Planted bomb 7. Assist 8. Kill 9. Defused bomb"},"killername":{"type":"string","description":"Killer name"},"killerside":{"type":"integer","description":"Killer belong, 1. t, 2. ct, 0. None"},"victimname":{"type":"string","description":"Victim's name"},"victimside":{"type":"integer","description":"Victims belong, 1. t, 2. ct, 0. None"},"assistername":{"type":"string","description":"Assist name"},"assisterside":{"type":"integer","description":"Assists belong, 1. t, 2. ct, 0. None"},"weapon_id":{"type":"string","description":"Weapon id"},"headshot":{"type":"integer","description":"Headshot, 1. Yes, 0. No"},"wintype":{"type":"integer","description":"Ways to Win 1. Bomb defused, 2. Target bombed, 3. Target saved, 4. Counter Terrorists eliminated, 5. Terrorists eliminated, 6- Draw, 0. None"},"ctplayers":{"type":"integer","description":"ct remaining quantity"},"tplayers":{"type":"integer","description":"t remaining quantity"},"winner":{"type":"string","description":"Winner's name"},"winner_side":{"type":"integer","description":"Winner belong, 1. t, 2. ct, 0. None"},"t_score":{"type":"integer","description":"t score"},"ct_score":{"type":"integer","description":"ct score"},"playername":{"type":"string","description":"Player name"},"playerside":{"type":"integer","description":"Player belong, 1. t, 2. ct, 0. None"},"flashername":{"type":"string","description":"Flasher name"},"flasherside":{"type":"integer","description":"Flasher belong, 1. t, 2. ct, 0. None"}}}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/csgo/realtime-data/real-time-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
